  <div class="content-wrapper ">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Chat
        <small>Mesenger</small>
      </h1>
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="" routerLink="/">Home</a></li>
        <li class="breadcrumb-item active" aria-current="page">
           Chat Messer
        </li>
    </ol>

    </section>

    <!-- Main content -->
    <section class="content">
      <!-- Small boxes (Stat box) -->
      <div class="row">

        <div class="col-lg-4 col-xs-6">
            <div class="box box-warning direct-chat direct-chat-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">Direct Chat</h3>

                  <div class="box-tools pull-right">
                    <span data-toggle="tooltip" title="" class="badge bg-yellow" data-original-title="3 New Messages">3</span>
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                    <button type="button" class="btn btn-box-tool" data-toggle="tooltip" title="" data-widget="chat-pane-toggle" data-original-title="Contacts">
                      <i class="fa fa-comments"></i></button>
                    <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i>
                    </button>
                  </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                  <!-- Conversations are loaded here -->
                  <div id="boxMessages" class="direct-chat-messages">
                    <!-- Message. Default to the left -->
                    <div *ngFor="let msg of listMessenge; index as i;"   class="direct-chat-msg {{msg.user_send==user_id?'right':''}}">
                      <div class="direct-chat-info clearfix">
                        <span class="direct-chat-name pull-left">
                          {{msg.user_send==user_id?user_name:userReceive?.name}}
                        </span>
                        <span class="direct-chat-timestamp pull-right">{{common.formatDateInt(msg?.time)}}</span>
                      </div>
                      <!-- /.direct-chat-info -->
                      <img class="direct-chat-img" src="{{msg.user_send==user_id?user_avatar:userReceive?.avatar}}" alt="message user image">
                      <!-- /.direct-chat-img -->
                      <div class="direct-chat-text">
                        {{msg?.msg}}
                      </div>
                      <!-- /.direct-chat-text -->
                    </div>
                    <!-- /.direct-chat-msg -->

                  </div>

                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                  <form action="#" method="post" (onsubmit)="sendMessenger()">
                    <div class="input-group">
                      <input type="text" name="message" id="text_messenger" placeholder="Type Message ..." class="form-control">
                          <span class="input-group-btn">
                            <button type="submit"  (click)="sendMessenger()" class="btn-send-messenger btn btn-warning btn-flat">Send</button>
                          </span>
                    </div>
                  </form>
                </div>
                <!-- /.box-footer-->
              </div>
        </div>
        <div class="col-sm-12">
              <!--/.direct-chat-messages-->
              <ul id="messages"></ul>
        </div>
      </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
